var raiz= "../";
var iconos= '../imagenes/iconos/';

function i(nom) {
	// Genera la ruta del icono 'nom'
	return iconos+nom;
	}

function u(texto) {
	// Genera una URL
	return raiz+texto;
	}

function uv(texto) {
	// Genera una ventana que abrir una URL
	return "javascript:ventana('"+raiz+texto+"')";
	}

var TREE_ITEMS = [
['Proyecto Alquimia', u(''), i('icamago.jpg'),
   ['Profesorado', u('pr'), i('iprof.jpg'),],
   ['Pblico', u('pb'), i('ipubli.jpg'),],
   ['Alumnado', uv('alumnos.html'), i('ialum.jpg'),

      ['Primer Ciclo', uv('a'), i('imag1.jpg'),
         ['Crezco Feliz', uv('a/00'), i('icraneo.jpg'),
            ['El cuerpo humano', uv('a/00/animaciones/a_F_a00_00.html'), i('icurhu.jpg')],
            ['Los sentidos', uv('a/00/animaciones/a_fa01_00.html'), i('isenti.jpg')],
            ['Los alimentos', uv('a/00/animaciones/a_fa02_00.html'), i('ialimen.jpg')],
            ['Salud y enfermedad', uv('a/00/animaciones/a_fa03_00.html'), i('isaluen.jpg')],
         ],
         ['Animales y Plantas', uv('a/01'), i('icaperro.jpg'),
            ['Los animales', uv('a/01/animaciones/a_fa09_00.html'), i('ianima.jpg')],
            ['Las plantas', uv('a/01/animaciones/a_fa10_00.html'), i('iplanta.jpg')],
         ],
         ['Mquinas y Herramientas', uv('a/02'), i('iordena.jpg'),
            ['Los medios de comunicacin y de transporte', uv('a/02/animaciones/a_fa17_00.html'), i('18.jpg')],
            ],
         ['Mi Planeta', uv('a/03'), i('iglob.jpg'),
            ['Organizacin social', uv('a/03/animaciones/a_fa23_00.html'), i('24.jpg')],
         ],
         ['La Mquina del Tiempo', uv('a/04'), i('imaqui.jpg'),
            ['La familia, la localidad, la ciencia y la sociedad', uv('a/04/index.html'), i('30.jpg')],
         ],
      ],
      ['Segundo Ciclo', uv('b'), i('imag2.jpg'),
         ['Crezco Feliz', uv('b/00'), i('icraneo.jpg'),
            ['Nutricin, relacin, reproduccin', uv('b/00/animaciones/a_fb04_00.html'), i('irepro.jpg')],
            ['Aparatos y sistemas', uv('b/00/animaciones/a_fb05_00.html'), i('iapara.jpg')],
         ],
         ['Animales y Plantas', uv('b/01'), i('icaperro.jpg'),
            ['Los seres vivos ', uv('b/01/animaciones/a_fb11_00.html'), i('isevi.jpg')],
            ['Estructura de los seres vivos', uv('b/01/animaciones/a_fb12_00.html'), i('iessevi.jpg')],
            ['Niveles de clasificacin de los seres vivos', uv('b/01/animaciones/a_fb13_00.html'), i('inisevi.jpg')],
         ],
         ['Mquinas y Herramientas', uv('b/02'), i('iordena.jpg'),
            ['Mquinas y aparatos', uv('b/02/animaciones/a_fb18_00.html'), i('19.jpg')],
            ['La palanca', uv('b/02/animaciones/a_fb19_00.html'), i('20.jpg')],
         ],
         ['Mi Planeta', uv('b/03'), i('iglob.jpg'),
            ['El universo y el sistema solar', uv('b/03/animaciones/a_fb24_00.html'), i('25.jpg')],
            ['La representacin de la Tierra', uv('b/03/animaciones/a_fb25_00.html'), i('26.jpg')],
            ['El clima', uv('b/03/animaciones/a_fb26_00.html'), i('27.jpg')],
            ['Organizacin de Espaa', uv('b/03/animaciones/a_fb27_00.html'), i('28.jpg')],
         ],
         ['La Mquina del Tiempo', uv('b/04'), i('imaqui.jpg'),
            ['La cronologa histrica y los procesos y personas relevantes en la historia de Espaa', uv('b/04/index.html'), i('31.jpg')],
         ],
      ],
      ['Tercer Ciclo', uv('c'), i('imag3.jpg'),
         ['Crezco Feliz', uv('c/00'), i('icraneo.jpg'),
            ['Enfermedades', uv('c/00/animaciones/a_fc06_00.html'), i('ienferme.jpg')],
            ['Hbitos alimentarios saludables ', uv('c/00/animaciones/a_fc07_00.html'), i('ihabisalu.jpg')],
            ['Mejora de la salud y la alimentacin', uv('c/00/animaciones/a_fc08_00.html'), i('isaluali.jpg')],
         ],
         ['Animales y Plantas', uv('c/01'), i('icaperro.jpg'),
            ['Clasificacin de los seres vivos', uv('c/01/animaciones/a_fc14_00.html'), i('iclasevi.jpg')],
            ['Relaciones entre los seres vivos', uv('c/01/animaciones/a_fc15_00.html'), i('iresevi.jpg')],
            ['La industria alimentaria', uv('c/01/animaciones/a_fc16_00.html'), i('iialimen.jpg')],
         ],
         ['Mquinas y Herramientas', uv('c/02'), i('iordena.jpg'),
            ['Mquinas y aparatos II', uv('c/02/animaciones/a_fc20_00.html'), i('21.jpg')],
            ['Nuevas tecnologas: beneficios y riesgos', uv('c/02/animaciones/a_fc21_00.html'), i('22.jpg')],
            ['Medidas de prevencin y primeros auxilios', uv('c/02/animaciones/a_fc22_00.html'), i('23.jpg')],
         ],
         ['Mi Planeta', uv('c/03'), i('iglob.jpg'),
            ['La poblacin de Espaa', uv('c/03/animaciones/a_fc28_00.html'), i('29.jpg')],
         ],
         ['La Mquina del Tiempo', uv('c/04'), i('imaqui.jpg'),
            ['De la Prehistoria a la poca actual', uv('c/04/index.html'), i('32.jpg')],
         ],
      ]
   ]
]];


var tree_tpl = {
	'target'  : '_top',
	//$ELOY: los enlaces normales se abren en la pgina principal 
	// (que engloba al IFRAME en el que est el mapa). Los enlaces Javascript (ventana),
	// da igual.

	'icon_e'  : iconos+'empty.gif', // empty image
	'icon_l'  : iconos+'line.gif',  // vertical line

 'icon_32' : iconos+'icamago.jpg',   // root leaf icon normal
 'icon_36' : iconos+'icamago.jpg',   // root leaf icon selected

	'icon_48' : iconos+'icamago.jpg',   // root icon normal
	'icon_52' : iconos+'icamago.jpg',   // root icon selected
	'icon_56' : iconos+'icamago.jpg',   // root icon opened
	'icon_60' : iconos+'icamago.jpg',   // root icon selected
	
	'icon_16' : iconos+'folder.gif', // node icon normal
	'icon_20' : iconos+'folderopen.gif', // node icon selected
	'icon_24' : iconos+'folderopen.gif', // node icon opened
	'icon_28' : iconos+'folderopen.gif', // node icon selected opened

	'icon_0'  : iconos+'page.gif', // leaf icon normal
	'icon_4'  : iconos+'page.gif', // leaf icon selected
	
	'icon_2'  : iconos+'joinbottom.gif', // junction for leaf
	'icon_3'  : iconos+'join.gif',       // junction for last leaf
	'icon_18' : iconos+'plusbottom.gif', // junction for closed node
	'icon_19' : iconos+'plus.gif',       // junctioin for last closed node
	'icon_26' : iconos+'minusbottom.gif',// junction for opened node
	'icon_27' : iconos+'minus.gif'       // junctioin for last opended node
};

